import * as React from 'react';
const IconHelp = ({
  size,
  color = 'currentColor',
  ...props
}: { size?: number; color?: string } & React.SVGProps<any>) => (
  <svg
    xmlns="http://www.w3.org/2000/svg"
    width={size || 23}
    height={size || 26}
    fill="none"
    {...props}
  >
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M5.00195 3.00002L19.0019 3C20.1065 3 21.002 3.89543 21.002 5V17.0357C21.002 18.1403 20.1065 19.0357 19.002 19.0358H15.3757L12.6357 21.3058C12.2639 21.6138 11.7252 21.6123 11.3553 21.3021L8.65157 19.0358H5.00195C3.89738 19.0358 3.00195 18.1403 3.00195 17.0358V5.00002C3.00195 3.89546 3.89738 3.00003 5.00195 3.00002ZM9.6234 9.17768C9.6234 7.79769 10.7334 6.66333 12.1234 6.66333C13.5134 6.66333 14.6234 7.79769 14.6234 9.17768C14.6234 10.3056 13.8798 10.894 13.4435 11.1906C13.3054 11.2844 13.2138 11.3672 13.1499 11.4531C13.092 11.5309 13.0368 11.6377 13.0107 11.8119C12.9287 12.358 12.4194 12.7343 11.8733 12.6522C11.3271 12.5702 10.9508 12.061 11.0329 11.5148C11.1912 10.4605 11.811 9.88191 12.3191 9.53657C12.4762 9.42979 12.5488 9.36135 12.5859 9.31084C12.6119 9.27555 12.6162 9.23836 12.621 9.19724L12.6234 9.17768C12.6234 8.88426 12.3909 8.66333 12.1234 8.66333C11.8559 8.66333 11.6234 8.88426 11.6234 9.17768C11.6234 9.72997 11.1757 10.1777 10.6234 10.1777C10.0711 10.1777 9.6234 9.72997 9.6234 9.17768ZM11.9998 15.75C11.3094 15.75 10.7498 15.1904 10.7498 14.5C10.7498 13.8096 11.3094 13.25 11.9998 13.25C12.6901 13.25 13.2498 13.8096 13.2498 14.5C13.2498 15.1904 12.6901 15.75 11.9998 15.75Z"
      fill={color}
    />
  </svg>
);
export default IconHelp;
